import { Component, Host, Prop, h } from "@stencil/core";
import { LinkVariants } from "../../utils/utils";

@Component({
  tag: "hy-link",
  styleUrl: "link.scss",
  shadow: true
})
export class Link {
  @Prop() variant: LinkVariants = LinkVariants.default;
  @Prop() textContent: string = "";
  @Prop() url?: string;
  @Prop() ariaLabel?: string;
  @Prop() isExternal: boolean = false;

  render() {
    const classAttributes = ["hy-link", this.variant];
    const target = this.isExternal ? "_blank" : "_self";
    return (
      <Host>
        <a
          aria-label={this.ariaLabel}
          class={classAttributes.join(" ")}
          href={this.url}
          target={target}
        >
          {this.textContent}
        </a>
      </Host>
    );
  }
}
